> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/general/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/general/introduction-3/configuration.md).

# Configuration

```json
{
    "id": "io.infomaker.wingman",
    "name": "im-wingman",
    "style": "https://plugins.writer.infomaker.io/v1/infomaker/im-wingman/1.0.0/style.css",
    "url": "https://plugins.writer.infomaker.io/v1/infomaker/im-wingman/1.0.0/index.js",
    "mandatory": false,
    "enabled": true,
    "data": {
        "host": "https://ai-eu-west-1.saas-stage.infomaker.io",
        "contextLimit": 2,
        "widgets": [
            "headline",
            "summary"
        ],
        "widgetConfig": {
            "headline": {
                "digital": {
                    "preText": "Generate a headline",
                    "creativity": 5,
                    "headlineCount": 2,
                    "digitalHeadlineWordCount": 16,
                    "language": "en",
                    "checkBoxDefault": false
                },
                "print": {
                    "preText": "Generate a headline",
                    "creativity": 5,
                    "headlineCount": 2,
                    "printHeadlineWordCount": 12,
                    "language": "en",
                    "checkBoxDefault": false
                }
            },
            "summary": {
                "digital": {
                    "preText": "Generate a summary",
                    "creativity": 5,
                    "summaryCount": 2,
                    "language": "en",
                    "digitalSummaryWordCount": 10,
                    "checkBoxDefault": false
                },
                "print": {
                    "preText": "Generate a summary",
                    "creativity": 5,
                    "summaryCount": 2,
                    "language": "en",
                    "printSummaryWordCount": 40,
                    "checkBoxDefault": false
                }
            }
        }
    }
}
```

Direct link to heading: <https://docs.navigaglobal.com/wingman/1.0.0-5/configuration#configuration-details>

Configuration fields

* data.host
  * URL of the AI host: <https://ai-eu-west-1.saas-stage.infomaker.io>
* data.contextLimit
  * Max. limit of context tags that can be sent in the prompt.
* data.widgets
  * Widgets that should be enabled in Wingman plugin (example: "headline", "summary").

Widget configuration (widgetConfig)

* headline.digital / headline.print
  * preText: This is the field where the user will send the custom prompt to generate the headline.
    * Note: In case of AWS Bedrock it is recommended to end your custom prompt with these words - ‘in the XML tag’
  * creativity: Determines the temperature, between 1-5, which defines randomness in result (1 = least, 5 = highest).
  * headlineCount: The total headline results to generate.
  * digitalHeadlineWordCount / printHeadlineWordCount: Approx. word count for the generated headline.
  * language: Result language code.
  * displayCount: Display the number of results before show more button.
  * checkBoxDefault: By default whether the checkbox should be checked or not (boolean).
* summary.digital / summary.print
  * preText: This is the field where the user will send the custom prompt to generate the summary.
    * Note: In case of AWS Bedrock it is recommended to end your custom prompt with these words - ‘in the XML tag’
  * creativity: Determines the temperature, between 1-5, which defines randomness in result (1 = least, 5 = highest).
  * summaryCount: The total summary results to generate.
  * digitalSummaryWordCount / printSummaryWordCount: Approx. word count for the generated summary.
  * language: Result language code.
  * displayCount: Display the number of results before show more button.
  * checkBoxDefault: By default whether the checkbox should be checked or not (boolean).

Related pages

* Previous: <https://docs.navigaglobal.com/wingman/1.0.0-5/functional-details>
* Next: <https://docs.navigaglobal.com/wingman/1.0.0-5/ai-service-data-security-details>

Last updated 1 year ago


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.navigaglobal.com/general/introduction-3/configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
